mahout-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Divya" <di...@k2associates.com.sg>
Subject error while running Kmeans in Mahout 0.4
Date Wed, 27 Oct 2010 07:57:54 GMT
Hi,

 

I am using eclipse 3.5 , maven 2.1 and mahout 0.4 

When I am running Kmeans Driver in eclipse  with Arguments 

-i D:\vectoroutput\tfidf-vectors/part-r-00000_2.txt  -c D:\clusters  -o
D:\test-Kmeans -x 10 -k 20 -ow

 

Getting following error 

 

Oct 27, 2010 3:52:27 PM org.apache.hadoop.util.NativeCodeLoader <clinit>

WARNING: Unable to load native-hadoop library for your platform... using
builtin-java classes where applicable

Oct 27, 2010 3:52:27 PM org.apache.hadoop.io.compress.CodecPool
getCompressor

INFO: Got brand-new compressor

Exception in thread "main" java.lang.IndexOutOfBoundsException: Index: 4,
Size: 4

                at java.util.ArrayList.RangeCheck(ArrayList.java:547)

                at java.util.ArrayList.get(ArrayList.java:322)

                at
org.apache.mahout.clustering.kmeans.RandomSeedGenerator.buildRandom(RandomSe
edGenerator.java:107)

                at
org.apache.mahout.clustering.kmeans.KMeansDriver.run(KMeansDriver.java:96)

                at org.apache.hadoop.util.ToolRunner.run(ToolRunner.java:65)

                at
org.apache.mahout.clustering.kmeans.KMeansDriver.main(KMeansDriver.java:54)

 

 

 

 

Can any helps me in tracing the error root .

 

 

Regards,

Divya 

 


Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message